package org.aksw.databugger.enums;

import org.aksw.databugger.PrefixService;

/**
 * User: Dimitris Kontokostas
 * Describes the test generation methods
 * Created: 9/25/13 9:05 AM
 */
public enum TestGenerationType {

    /**
     * AutoGenerated: This test was created automatically
     */
    AutoGenerated,

    /**
     * ManuallyGenerated: This test was created manually
     */
    ManuallyGenerated;

    public String getUri() {
        // TODO make prefix configurable
        return PrefixService.getPrefix("tddo") + name();
    }

    @Override
    public String toString() {
        return getUri();
    }

    public static TestGenerationType resolve(String value) {

        String s = value.replace(PrefixService.getPrefix("tddo"), "");
        if (s.equals("AutoGenerated")) {
            return AutoGenerated;
        } else if (s.equals("ManuallyGenerated")) {
            return ManuallyGenerated;
        }

        return null;
    }
}
